import type { Editor, Position } from "codemirror";
import type { Hover } from "vscode-languageserver-protocol";
/**
 * Show hover information.
 * @param editor
 * @param pos Position of the event
 * @param hover
 * @param renderMarkdown
 */
export declare const showHoverInfo: (editor: Editor, pos: Position, hover: Hover, renderMarkdown?: (x: string) => string) => void;
/**
 * Remove hover information from the editor.
 * @param editor
 */
export declare const removeHoverInfo: (editor: Editor) => void;
export declare const hoverInfoEnabled: (editor: Editor) => boolean;
export declare const disableHoverInfo: (editor: Editor) => void;
export declare const enableHoverInfo: (editor: Editor) => void;
