"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addTooltip = void 0;
exports.addTooltip = (tooltipContent, x, y) => {
    const tooltip = document.createElement("div");
    tooltip.classList.add("cmw-tooltip");
    tooltip.style.cssText = [
        "font-size: 12px;",
        "padding: 2px;",
        "z-index: 10;",
        "position: absolute;",
        `left: ${x}px;`,
        `top: ${y}px;`,
        `max-width: 50ch;`,
        `max-height: 120px;`,
        `overflow-y: auto;`,
    ].join(" ");
    tooltip.appendChild(tooltipContent);
    document.body.appendChild(tooltip);
    // Make sure that the tooltip is above the text even when it's multiline.
    requestAnimationFrame(() => {
        tooltip.style.top = `${y - tooltip.offsetHeight}px`;
    });
    return tooltip;
};
//# sourceMappingURL=tooltip.js.map