import { signal as cmSignal } from "codemirror";
export const fromEditorEvent = (target, type) => {
    return (cb) => {
        const untupled = (...args) => {
            cb(args);
        };
        target.on(type, untupled);
        return () => {
            target.off(type, untupled);
        };
    };
};
export const onEditorEvent = (target, type, handler) => fromEditorEvent(target, type)(handler);
/**
 * Typed wrapper around `CodeMirror.signal`.
 * @param editor - Editor instance
 * @param name - Event name
 * @param args - Event parameters
 */
export const signal = (editor, name, ...args) => {
    cmSignal(editor, name, ...args);
};
//# sourceMappingURL=events.js.map